# hcloud_server_type_info – Gather infos about the Hetzner Cloud server types

New in version 2.8.

- Synopsis

- Requirements

- Parameters

- See Also

- Examples

- Return Values

- Status

## Synopsis

- Gather infos about your Hetzner Cloud server types.

- This module was called `hcloud_server_type_facts` before Ansible 2.9, returning `ansible_facts` and `hcloud_server_type_facts`. Note that the hcloud_server_type_info module no longer returns `ansible_facts` and the value was renamed to `hcloud_server_type_info`!

Aliases: hcloud_server_type_facts

## Requirements

The below requirements are needed on the host that executes this module.

- hcloud-python >= 1.0.0

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_token string / required |  | This is the API Token for the Hetzner Cloud.
endpoint string | Default: "https://api.hetzner.cloud/v1" | This is the API Endpoint for the Hetzner Cloud.
id integer |  | The ID of the server type you want to get.
name string |  | The name of the server type you want to get.

## See Also

See also

Documentation for Hetzner Cloud API

  Complete reference for the Hetzner Cloud API.

## Examples

    - name: Gather hcloud server type infos
      hcloud_server_type_info:
      register: output

    - name: Print the gathered infos
      debug:
        var: output.hcloud_server_type_info

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
hcloud_server_type_info complex | always | The server type infos as list
| cores integer | always | Number of cpu cores a server of this type will have Sample: 1
| cpu_type string | always | Type of cpu Sample: shared
| description string | always | Detail description of the server type Sample: Falkenstein DC Park 1
| disk integer | always | Disk size a server of this type will have in GB Sample: 25
| id integer | always | Numeric identifier of the server type Sample: 1937415
| memory integer | always | Memory a server of this type will have in GB Sample: 1
| name string | always | Name of the server type Sample: fsn1
| storage_type string | always | Type of server boot drive Sample: local

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Lukas Kaemmerling (@LKaemmerling)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.